Skip to content

Get Portfolio Document Download Link

Required scope: portfolio_file:read

This endpoint returns a signed download URL that is valid for 15 minutes.

Generated Reference
POST /public-api/publicapi.v1.Portfolio/GetPortfolioDocumentDownloadLink

Returns a short-lived download URL for a portfolio document.

Request GetPortfolioDocumentDownloadLinkRequest
Response GetPortfolioDocumentDownloadLinkResponse

GetPortfolioDocumentDownloadLinkRequest

Field Type
portfolio_id string
document_id string
visibility PortfolioFileVisibility

GetPortfolioDocumentDownloadLinkResponse

Field Type
download_url string
expires_at int64
{
"portfolioId": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"documentId": "cba8fef4-4fd2-4be6-af77-326e716ef130",
"visibility": "PUBLIC_PORTFOLIO_FILE_VISIBILITY_CUSTOMER"
}
{
"downloadUrl": "https://storage.example/signed-get-url",
"expiresAt": 1760000900
}